commit:     e3ccb028ddbf97cfdadd0a5703d8ed783621dcb2
Author:     Jan Vesely <jano.vesely <AT> gmail <DOT> com>
AuthorDate: Wed Mar 16 12:03:29 2016 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue Mar 22 18:28:50 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3ccb028

dev-vcs/git: Add LINGUAS support

(Sourced from Github PR #1098)

X-Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=454584
Signed-off-by: Jan Vesely <jano.vesely <AT> gmail.com>
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 dev-vcs/git/git-2.7.4.ebuild | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/dev-vcs/git/git-2.7.4.ebuild b/dev-vcs/git/git-2.7.4.ebuild
index ff8deaa..06a2a18 100644
--- a/dev-vcs/git/git-2.7.4.ebuild
+++ b/dev-vcs/git/git-2.7.4.ebuild
@@ -11,8 +11,9 @@ PYTHON_COMPAT=( python2_7 )
 [[ ${PV} == *9999 ]] && SCM="git-2"
 EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
 EGIT_MASTER=pu
+PLOCALES="bg ca de fr is it ko pt_PT ru sv vi zh_CN"
 
-inherit toolchain-funcs eutils elisp-common perl-module bash-completion-r1 
python-single-r1 systemd ${SCM}
+inherit toolchain-funcs eutils elisp-common l10n perl-module 
bash-completion-r1 python-single-r1 systemd ${SCM}
 
 MY_PV="${PV/_rc/.rc}"
 MY_P="${PN}-${MY_PV}"
@@ -534,6 +535,14 @@ src_install() {
        fi
 
        perl_delete_localpod
+
+       # Remove disabled linguas
+       # we could remove sources in src_prepare, but install does not
+       # handle missing locale dir well
+       rm_loc() {
+               rm -r "${ED}/usr/share/locale/${1}" || die
+       }
+       l10n_for_each_disabled_locale_do rm_loc
 }
 
 src_test() {

Reply via email to